> ## Documentation Index
> Fetch the complete documentation index at: https://docs.easybilling.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# generate customer portal account token



## OpenAPI

````yaml /billing.openapi.json post /api/authenticate/account-auth
openapi: 3.1.0
info:
  title: Billing
  description: |+

  version: 1.0.0
  summary: ''
servers:
  - url: https://sbx.api.easybilling.cloud/billing
    description: SBX
  - url: https://api.easybilling.cloud/billing
    description: Production-AWS
security:
  - token: []
tags:
  - name: account
  - name: payment method
  - name: contract action
  - name: usage event
  - name: billing document
  - name: invoice pdf
  - name: prepaid credits
  - name: customer portal
paths:
  /api/authenticate/account-auth:
    post:
      tags:
        - customer portal
      summary: generate customer portal account token
      parameters:
        - name: Authorization
          in: header
          description: The token obtained after the tenant logs in
          required: true
          example: ''
          schema:
            type: string
        - name: trace-id
          in: header
          description: ''
          required: true
          example: '{{$string.uuid}}'
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                accountNumber:
                  type: string
              required:
                - accountNumber
            examples: {}
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties: {}
          headers: {}
      deprecated: false
      security:
        - token: []
components:
  securitySchemes:
    token:
      type: http
      scheme: bearer

````